Bug 389471 - Review Request: afflib - Library to support the Advanced Forensic Format
Review Request: afflib - Library to support the Advanced Forensic Format
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christophe GRENIER
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 401101 437966
  Show dependency treegraph
 
Reported: 2007-11-18 11:36 EST by Nicolas Chauvet (kwizart)
Modified: 2008-03-21 07:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-21 07:45:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
grenier: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2007-11-18 11:36:31 EST
Spec URL: http://kwizart.fedorapeople.org/SPECS/afflib.spec
SRPM URL: http://kwizart.fedorapeople.org/SRPMS/afflib-3.0.1-1.fc7.kwizart.src.rpm
Description: Library for using aff file format

This package is targeted to be use with http://www.sleuthkit.org (and others ?!...)
The license is BSD with advertising which make it incompatible with readline and fuse (GPLv2+ - optionnals). 
The sleuthkit is licensed under IBM Public License ver. 1.0 and Common Public License 1.0 which are Free but GPL incompatible (but there is a need to knwo if they are BSD with advertising incompatible...)
Comment 1 Jason Tibbitts 2007-11-18 16:39:32 EST
This builds OK for me, and the licensing as you have it seems OK to me. 
Specifically, this package is BSD+Advertising.  It wants to link against:

curl-devel - MIT, OK.
expat-devel - MIT, OK.
fuse-devel - GPL (license tag needs an update, but not OK, already commented 
  out in the spec)
libewf-devel - BSD+Adv, OK.
ncurses-devel - MIT, OK.
openssl-devel - OpenSSL, OK.
readline-devel - GPLv2+, not OK, already commented out in spec.
zlib-devel - zlib (although license tag says BSD), OK.

So I believe this package is OK license-wise as long as it doesn't build against
fuse or readline.  Perhaps someone could make it build against libedit instead.
 Still rather uncool for upstream to even allow it to link against GPL stuff. 
They could have chosen a license that would have allowed that, but they chose
not to because they insist on the annoying advertising clause.  Has anyone
brought that to their attention?

But sleuthkit itself, I've no idea, and you'll have to ask spot or submit a
review ticket and have it block FE-Legal.
Comment 2 Nicolas Chauvet (kwizart) 2007-11-29 16:15:03 EST
Ok there is a new version 3.0.2
I'm trying to contact upstream here:
http://groups.google.com/group/aff-discuss
Comment 3 Debarshi Ray 2007-12-30 08:21:17 EST
Ping?

The latest upstream release is 3.0.4:
http://www.afflib.org/downloads/afflib-3.0.4.tar.gz Could you please update the
Spec?

Also I could not find any discussion about licensing issues on
http://groups.google.com/group/aff-discuss I could find a "Packaging afflib for
Fedora"
(http://groups.google.com/group/aff-discuss/browse_thread/thread/103f274771880ee3)
thread, but it has nothing related to licensing.
Comment 4 Nicolas Chauvet (kwizart) 2007-12-30 08:52:06 EST
Yes i've updated it but it and i've modified the -shared patches to it call
install the headers with make install. I wonder if i will work on pkgconfig
support and submit patches upstream... 

But on the other side this package is targeted to be used with sleuthkit and
afflib sleutkit version from the new release is still 2.2. There is two solution:
- Downgrade it to 2.2 (and have it updated to 3.0.4 later if sleutkit is compatible
- have it 3.0.4 (and make sleutkit afflib statically or patched against this
version)

@Debarshi Ray, do know know other package that links to afflib so we can test if
it work fine with it (and specially for which headers that needs to be installed) ?



Comment 5 Nicolas Chauvet (kwizart) 2008-03-12 15:45:30 EDT
Spec URL: http://kwizart.fedorapeople.org/SPECS/afflib.spec
SRPMS: http://kwizart.fedorapeople.org/SRPMS/afflib-3.1.3-1.fc8.kwizart.src.rpm
Description: Library to support the Advanced Forensic Format

Changelog
- Update to 3.1.3
- Disable libewf support in afflib for now.
- Disable rpath
- Fix for gcc43 and s3
Comment 6 Nicolas Chauvet (kwizart) 2008-03-18 07:50:03 EDT
Spec URL: http://kwizart.fedorapeople.org/SPECS/afflib.spec
SRPMS: http://kwizart.fedorapeople.org/SRPMS/afflib-3.1.3-2.fc9.kwizart.src.rpm
Description: Library to support the Advanced Forensic Format

Changelog
- Rebuild with newer libewf and enable-libewf=yes
- Add pkg-config support in afflib-devel.
- Add a patch to remove ldconfig call when building the package.
- Add libtermcap-devel

This package requires libewf >= 20080305
I will update libewf to 20080315 for F-9 now.
(until then it is available here : http://rpms.kwizart.net/fedora/development/ )


Comment 7 Nicolas Chauvet (kwizart) 2008-03-19 07:44:47 EDT
Koji scratch build has been requested
http://koji.fedoraproject.org/koji/taskinfo?taskID=522092
Comment 8 Nicolas Chauvet (kwizart) 2008-03-19 07:52:28 EDT
About rpmlint on installed files it showed:
[root@kwizatz etc]# rpmlint afflib
afflib.x86_64: W: incoherent-version-in-changelog 3.1.3-1 3.1.3-1.fc8.kwizart
afflib.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libafflib.so.0.0.0
/lib64/libssl.so.6
afflib.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libafflib.so.0.0.0
/lib64/libncurses.so.5
afflib.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libafflib.so.0.0.0
/lib64/libreadline.so.5
afflib.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libafflib.so.0.0.0
/lib64/libm.so.6
[root@kwizatz etc]# rpmlint afftools
afftools.x86_64: W: no-documentation

The unused-direct-shlib-dependency have been cleaned with the current release with:
# clean unused-direct-shlib-dependencies
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool
Upstream has been warned for this.
(note that readline only appear when rpmbuild on systeme where readine-devel is
available.)

Comment 9 Christophe GRENIER 2008-03-19 16:48:26 EDT
- rpmlint aff*3.1.3-2.fc9.i386.rpm
afftools.i386: W: no-documentation
rpmlint aff*3.1.3-2.fc9.x86_64.rpm
afftools.x86_64: W: no-documentation
=> Note: no documentation is present in the upstream package
- Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability): Missing

The remaining tests are ok
- Package Name: Ok
- Spec file name: Ok
- License: BSD with advertising
- License field in the package spec: Ok
- License is present in afflib-3.1.3-2.fc9.i386.rpm
- Spec is in English: Ok
- Spec is readable: Ok
- md5sum matches: Ok
afflib-3.1.3.tar.gz 1286187 1205123793 606a80d5b4d9d052c2f34b9947677634 0100664
mockbuild mockbuild 0 0 0 X
wget http://www.afflib.org/afflib.tar.gz; md5sum afflib.tar.gz
606a80d5b4d9d052c2f34b9947677634  afflib.tar.gz
- Build succesfully: Yes
http://koji.fedoraproject.org/koji/taskinfo?taskID=522092
- BuildRequires: Ok
- %post -p /sbin/ldconfig: Ok
%postun -p /sbin/ldconfig: Ok
- "%defattr(-,root,root,-)" is used for each package
- %clean rm -rf $RPM_BUILD_ROOT: Ok
- Header files must be in a -devel package: Ok
- Static libraries must be in a -static package: no static libraries => Ok
- If a package contains library files with a suffix (e.g. libfoo.so.1.1), then
  library files that end in .so (without suffix) must go in a -devel package: Ok
- %package        devel
Requires:       %{name} = %{version}-%{release}: Ok
- Packages must NOT contain any .la libtool archives: Ok
- %install rm -rf $RPM_BUILD_ROOT: Ok
- filenames: Ok
- License is included in upstream package: Ok
- Mock build: Ok
http://koji.fedoraproject.org/koji/taskinfo?taskID=522092
- afflib.pc is in afflib-devel
Comment 10 Nicolas Chauvet (kwizart) 2008-03-19 17:09:34 EDT
Spec URL: http://kwizart.fedorapeople.org/SPECS/afflib.spec
SRPMS: http://kwizart.fedorapeople.org/SRPMS/afflib-3.1.3-3.fc8.kwizart.src.rpm
Description: Library to support the Advanced Forensic Format

Changelog
- Add missing requires with pkgconfig
Comment 11 Christophe GRENIER 2008-03-20 16:44:49 EDT
Approved
Comment 12 Nicolas Chauvet (kwizart) 2008-03-20 17:30:59 EDT
New Package CVS Request
=======================
Package Name: afflib
Short Description: Library to support the Advanced Forensic Format
Owners: kwizart
Branches: F-8
Cvsextras Commits: yes
Comment 13 Kevin Fenzi 2008-03-20 18:59:09 EDT
cvs done.
Comment 14 Nicolas Chauvet (kwizart) 2008-03-21 07:45:51 EDT
Thx for your review !

Note You need to log in before you can comment on or make changes to this bug.